package _VisualDVM.GlobalData.CompilerEnvironment.UI;
import Common.MainModule_;
import Common.Visual.Fonts.VisualiserFonts;
import Common.Visual.Tables.RendererDBObject;
import _VisualDVM.GlobalData.CompilerEnvironment.CompilerEnvironment;
public class CompilerEnvironmentValueRenderer extends RendererDBObject {
    @Override
    public void Display() {
        if (value != null) {
            CompilerEnvironment environment = (CompilerEnvironment) value;
            setFont(MainModule_.instance.getUI().getTheme().Fonts.get(VisualiserFonts.Hyperlink));
            setText(environment.value.isEmpty() ? "не задано" : environment.value);
        }
    }
}
